Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.parsing
[Java] Class Option

    java.lang.Object
      org.codehaus.groovy.grails.cli.parsing.Option

    public class Option
    extends java.lang.Object

Represents a command line option.

Authors:
  Graeme Rocher

Since:
  2.0

Constructor Summary
`Option(java.lang.String name, java.lang.String description)`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### Option

    public Option(java.lang.String name, java.lang.String description)

Method Detail

### getDescription

    public java.lang.String getDescription()

### getName

    public java.lang.String getName()

Groovy Documentation